"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
Object.defineProperties(Number, {
    zero: {
        get: function () {
            return 0;
        }
    }
});
Object.defineProperties(Number.prototype, {
    quotientAndRemainderOf: {
        get: function () {
            var _this = this;
            return function (dividingBy) {
                var n = _this.valueOf();
                var divisionResult = n / dividingBy;
                var quotient = Math.floor(divisionResult);
                var remainder = n - (quotient * dividingBy);
                return [quotient, remainder];
            };
        }
    },
    isMultipleOf: {
        get: function () {
            var _this = this;
            return function (of) {
                var n = _this.valueOf();
                return (n % of === 0);
            };
        }
    },
    isZero: {
        get: function () {
            return this.valueOf() === 0;
        }
    }
});
//# sourceMappingURL=Number.js.map