export {};
declare type UniquingKeysCallback = (valueOne: any, valueTwo: any) => any;
declare type KeyedObject = {
    [key: string]: any;
};
declare type KeyValueAssertionCallback = <E>(key: string | number, value: E) => boolean;
declare global {
    interface Object {
        readonly isEmpty: boolean;
        readonly count: number;
        readonly first: any;
        readonly randomElement: () => any;
        readonly merge: (objectToMerge: KeyedObject, uniquingKeysWith: UniquingKeysCallback) => void;
        readonly merging: (objectToMerge: KeyedObject, uniquingKeysWith: UniquingKeysCallback) => KeyedObject;
        readonly removeValue: (forKey: string | number) => void;
        readonly removeAll: () => void;
        readonly contains: (where: KeyValueAssertionCallback) => boolean;
        readonly allSatisfy: (callback: KeyValueAssertionCallback) => boolean;
    }
}
//# sourceMappingURL=Object.d.ts.map