export {};
declare global {
    interface String {
        readonly isEmpty: boolean;
        readonly inserted: (substring: string, at: number) => string;
        readonly first: string | undefined;
        readonly last: string | undefined;
        readonly randomElement: () => string | undefined;
        readonly map: (callback: (char: string, index?: number, parent?: string) => string) => string;
        readonly compactMap: (callback: (char: string, index?: number, parent?: string) => string | undefined) => string;
        readonly forEach: (callback: (char: string, index?: number, parent?: string) => void) => void;
        readonly reduce: <R>(callback: (result: R, char: string, index?: number) => R, initialValue: R) => R;
        readonly sorted: () => string;
        readonly reversed: () => string;
        readonly shuffled: () => string;
        readonly startIndex: number | undefined;
        readonly endIndex: number | undefined;
        readonly prefix: (callback: (char: string, index?: number, parent?: string) => boolean) => string;
    }
}
//# sourceMappingURL=String.d.ts.map