export {};
declare global {
    interface Array<T> {
        readonly first: T | undefined;
        readonly last: T | undefined;
        readonly isEmpty: boolean;
        readonly randomElement: () => T | undefined;
        readonly insert: (element: T, at: number) => void;
        readonly remove: (at: number) => T | undefined;
        readonly compactMap: (callback: (element: T, index?: number, parent?: Array<T>) => any | undefined) => Array<any>;
        readonly shuffle: () => void;
        readonly shuffled: () => Array<T>;
        readonly swapAt: (indexA: number, indexB: number) => void;
        readonly startIndex: number | undefined;
        readonly endIndex: number | undefined;
    }
}
//# sourceMappingURL=Array.d.ts.map